using System;

namespace ConsoleApp3
{
    class Program
    {
        static int[] PrebacivanjeUint( string[] niz)
		{
			int[] noviNiz = new int[ niz.Length ];
			for( int i = 0; i < niz.Length; i++ )
			{
				noviNiz[i] = Convert.ToInt32(niz[i]);
			}
			return noviNiz;
		}
        static void Main( string[] args )
        {
			string[] nq = Console.ReadLine().Split();
            int[] nizA = PrebacivanjeUint(Console.ReadLine().Split());
			int[] nizB = PrebacivanjeUint( Console.ReadLine().Split() );
			int manjih, vecih, brojIstih;
			for( int i = 0; i < Convert.ToInt32( nq[1] ); i++ )
			{
				manjih = 0;
				vecih = 0;
				brojIstih = 0;
				for( int j = 0; j < Convert.ToInt32( nq[ 0 ] ); j++ )
				{
					if( nizA[j] > nizB[i] )
					{
						vecih++;
					}
					else if( nizA[ j ] < nizB[ i ] )
					{
						manjih++;
					}
					else
					{
						brojIstih++;
					}
				}
				if( manjih == vecih )
				{
					Console.WriteLine( "0" );
				}
				else if( manjih == 0 ) 
				{
					Console.WriteLine( vecih + 1 );
				}
				else if (vecih == 0)
				{
					if( nizB.Length % 2 ==0 ) Console.WriteLine( manjih - 1 );
					else Console.WriteLine( manjih );
				}
				else if( manjih > vecih )
				{
					Console.WriteLine( manjih - vecih  - brojIstih );
				}
				else
				{
					Console.WriteLine(  vecih - manjih - brojIstih + 1 );
				}
            }
        }
    }
}